package com.gxwebsoft.shop.enums;

/**
 * 订单状态枚举
 */
public enum OrderStatusEnum {
    ALL(-1, "全部"),
    WAIT_PAY(0, "待支付"),
    WAIT_DELIVERY(1, "待发货"), 
    WAIT_CONFIRM(2, "待核销"),
    WAIT_RECEIVE(3, "待收货"),
    WAIT_EVALUATE(4, "待评价"),
    COMPLETED(5, "已完成"),
    REFUNDED(6, "已退款"),
    DELETED(7, "已删除");

    private final Integer code;
    private final String desc;

    OrderStatusEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}